You are here

Focus Blur

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0
Rate this item!

Focus Blur plug-in is blurring effect, a kind of called DoF. This software makes a out of focus with luminosity and depth, like a sight or lenses. It can be used with depth map, depth fakes and shine effect. Also it can work as simple and applicable blur.

focusblur-3.2.6.tar.bz2160.26 KB
GIMP Version: 
Code License: 


gcc -DHAVE_CONFIG_H -I. -I.. -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/gimp-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/cairo -I/usr/include/libpng14 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include -g -O2 -MT aaa.o -MD -MP -MF .deps/aaa.Tpo -c -o aaa.o aaa.c
In file included from aaa.h:22:0,
from aaa.c:21:
/usr/include/glib-2.0/glib/gmacros.h:32:2: error: #error "Only <glib.h> can be included directly."

Problem are the lines with "#include <glib/gmacros.h>" and "#include <glib/gtypes.h>". Looks like beyond some glib version, sub-modules cannot be included separately. I fixed this by replacing the above includes (1st, 2nd or both) with this one:
#include <glib.h>
in all source files containing the 1 or 2 mentioned includes.

Compilation went well until the final link:
gcc -g -O2 -o focusblur aaa.o brush.o depthmap.o diffusion.o focusblurenums.o focusblurparam.o focusblurrc.o focusblurstock.o gimpplugin.o interface.o render.o shine.o source.o -pthread -lgthread-2.0 -lrt -lglib-2.0 -lgimpui-2.0 -lgimpwidgets-2.0 -lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0
/usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: brush.o: undefined reference to symbol 'hypotf@@GLIBC_2.2.5'
/usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: note: 'hypotf@@GLIBC_2.2.5' is defined in DSO /lib64/ so try adding it to the linker command line
/lib64/ could not read symbols: Invalid operation
collect2: error: ld returned 1 exit status

Any ideas?

Looks libm was somewhat missing in commandline
Instead of running plain "./configure", run:
./configure LIBS=-lm
then make .....

do not solve for me. I've the same error in your first post.
I've gimp 2.8 and openSuSe 12.2 64 bit, thanks.

Did you also fix the #include in all source files?
you must replace "#include <glib/gmacros.h>" or "#include <glib/gtypes.h>" or both in all source files with:
"#include <glib.h>"

(I used mc to find all occurences and replaced them manually. You will edit about 10 files, it's not too much)

Thank a lot!

Hi again: So the last version of FocusBlur I already have, but there's problem with making Z-depth map: Exists any plugin or script for make depthmap from one photography which I want to have lensblured? Making perfect Z-depth map manualy is too hard for my taste and I haven't found anything yet right here and in google.

Thank you for feedback - regular GIMPer

I use GIMP 2.6.11 running on WinXP 32-bit... Is there the last version of binaries (3.2.6) for 32-bit Windows copy? 

Thank you for feedback, regular user

Thank you for feedback, I'm trying it out now ;)


Subscribe to Comments for "Focus Blur"